vector {base} | R Documentation

## Vectors

### Description

`vector` produces a vector of the given length and mode.

`as.vector`, a generic, attempts to coerce its argument into a vector of mode `mode` (the default is to coerce to whichever mode is most convenient). The attributes of `x` are removed.

`is.vector` returns `TRUE` if `x` is a vector (of mode logical, integer, real or character if not specified) and `FALSE` otherwise.

### Usage

    vector(mode = "logical", length = 0)
    as.vector(x, mode = "any")
    is.vector(x, mode = "any")

### Arguments

`mode` | A character string giving an atomic mode, or `"any"`.
`length` | A non-negative integer specifying the desired length.
`x` | An object.

### Details

Note that factors are not vectors; `is.vector` returns `FALSE` and `as.vector` converts to character mode.

### Value

For `vector`, a vector of the given length and mode. Logical vector elements are initialized to `FALSE`, numeric vector elements to `0` and character vector elements to `""`.

### See Also

`c`, `is.numeric`, `is.list`, etc.

### Examples

    df <- data.frame(x=1:3, y=5:7)
    ## Error:
      as.vector(data.frame(x=1:3, y=5:7), mode="numeric")

    ###-- All the following are TRUE:
    is.list(df)
    ! is.vector(df)
    ! is.vector(df, mode="list")

    is.vector(list(), mode="list")
    is.vector(NULL,   mode="NULL")

[Package Contents]